## ktouch 23.08.5

=== debian/changelog ===
ktouch (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:30 +1100

ktouch (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:25:40 +0000

ktouch (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:19:16 -0700

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5itemviews-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 24.08.2

=== debian/changelog ===
ktouch (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 10:57:57 +0000

ktouch (4:24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch away from transitional pkg-config build dependency.
  * Replace manual QML runtime dependencies with dh_qmldeps.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 23:38:15 +0200

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 5.91.0~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5itemviews-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5textwidgets-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5xmlpatterns5-dev,
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkgconf,
               qml-module-org-kde-charts,
               qml-module-org-kde-kcoreaddons,
               qml-module-org-kde-kquickcontrolsaddons,
               qml-module-qtgraphicaleffects,
               qml-module-qtquick-controls2,
               qml-module-qtquick-layouts,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev,
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${qml5:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 24.12.0

=== debian/changelog ===
ktouch (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -34,13 +33,15 @@
                qml-module-qtquick-layouts,
                qml-module-qtquick-window2,
                qml-module-qtquick2,
+               qt6-base-dev (>= 5.15.2~),
+               qt6-declarative-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev,
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/ktouch
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
 Rules-Requires-Root: no
 
 Package: ktouch

## ktouch 24.12.1

=== debian/changelog ===
ktouch (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:14:57 +0000

ktouch (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:20:27 +0000

ktouch (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)
  * Revert to manual qmldepends.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 18:32:16 +0000

ktouch (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 12:08:09 +0000

ktouch (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:46:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -25,7 +25,7 @@
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts,
+               qml-module-org-kde-charts (>= 4:24.12.1~),
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,
@@ -33,23 +33,28 @@
                qml-module-qtquick-layouts,
                qml-module-qtquick-window2,
                qml-module-qtquick2,
-               qt6-base-dev (>= 5.15.2~),
-               qt6-declarative-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev,
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/ktouch
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}),
          libqt5sql5-sqlite,
+         qml-module-org-kde-charts,
+         qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          ${misc:Depends},
-         ${qml5:Depends},
          ${shlibs:Depends},
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It

## ktouch 24.12.3

=== CMakeLists.txt ===
# KTouch CMakeLists.txt file
#
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")


cmake_minimum_required(VERSION 3.16)
project(ktouch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.91.0")
set (KDE_COMPILERSETTINGS_LEVEL "5.82.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickWidgets
    QuickControls2
    Sql
    Widgets
    Xml
    XmlPatterns
)
find_package(Qt${QT_MAJOR_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    ItemViews
    KCMUtils
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
    IconThemes
)

find_package(KQtQuickCharts)
set_package_properties(KQtQuickCharts PROPERTIES
    DESCRIPTION "QtQuick plugin to render beautiful and interactive charts"
    URL "https://commits.kde.org/kqtquickcharts"
    TYPE RUNTIME
)

option(COMPILE_QML "Precompile QML code" OFF)
option(WITHOUT_X11 "Build without X11 Keyboard Layout Detection (skips finding X11)" OFF)

if (NOT WITHOUT_X11)
    find_package(X11)
    find_package(XCB OPTIONAL_COMPONENTS XCB XKB)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
    endif()

    if (Qt5X11Extras_FOUND AND X11_FOUND AND X11_Xkbfile_FOUND AND X11_Xkb_FOUND AND XCB_FOUND AND XCB_XKB_FOUND)
        set(KTOUCH_BUILD_WITH_X11 TRUE)
    endif()

    add_feature_info ("Keyboard Layout Detection" KTOUCH_BUILD_WITH_X11 "needs Qt5X11Extras, libX11, libxkb, libxkbfile, libxcb, and libxcb-xkb")
endif()

# enable QML debugging for debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.101.0)

# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(doc)
ecm_optional_add_subdirectory(src)
# ecm_optional_add_subdirectory(sounds)
ecm_optional_add_subdirectory(icons)

# files to install in the ktouch project root directory
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktouch (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:48:13 +0000

ktouch (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:22:14 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts (>= 4:24.12.1~),
+               qml-module-org-kde-charts (>= 4:24.12.3~),
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,

## ktouch 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KTOUCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTouchConfigVersion.cmake"
)

ecm_optional_add_subdirectory(schemata)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${ktouch_SOURCE_DIR}
)

# set the source code files from which KTouch is compiled
set(ktouch_SRCS
    application.cpp
    application.h
    bindings/stringformatter.cpp
    bindings/stringformatter.h
    bindings/utils.cpp
    bindings/utils.h
    colorsconfigwidget.cpp
    colorsconfigwidget.h
    core/abstractkey.cpp
    core/abstractkey.h
    core/coursebase.cpp
    core/coursebase.h
    core/course.cpp
    core/course.h
    core/dataaccess.cpp
    core/dataaccess.h
    core/dataindex.cpp
    core/dataindex.h
    core/dbaccess.cpp
    core/dbaccess.h
    core/keyboardlayoutbase.cpp
    core/keyboardlayoutbase.h
    core/keyboardlayout.cpp
    core/keyboardlayout.h
    core/keychar.cpp
    core/keychar.h
    core/key.cpp
    core/key.h
    core/lesson.cpp
    core/lesson.h
    core/profile.cpp
    core/profiledataaccess.cpp
    core/profiledataaccess.h
    core/profile.h
    core/resource.cpp
    core/resourcedataaccess.cpp
    core/resourcedataaccess.h
    core/resource.h
    core/specialkey.cpp
    core/specialkey.h
    core/trainingstats.cpp
    core/trainingstats.h
    core/userdataaccess.cpp
    core/userdataaccess.h
    customlessoneditordialog.cpp
    customlessoneditordialog.h
    declarativeitems/griditem.cpp
    declarativeitems/griditem.h
    declarativeitems/kcolorschemeproxy.cpp
    declarativeitems/kcolorschemeproxy.h
    declarativeitems/lessonpainter.cpp
    declarativeitems/lessonpainter.h
    declarativeitems/lessontexthighlighteritem.cpp
    declarativeitems/lessontexthighlighteritem.h
    declarativeitems/preferencesproxy.cpp
    declarativeitems/preferencesproxy.h
    declarativeitems/scalebackgrounditem.cpp
    declarativeitems/scalebackgrounditem.h
    declarativeitems/traininglinecore.cpp
    declarativeitems/traininglinecore.h
    editor/abstracteditor.cpp
    editor/abstracteditor.h
    editor/charactersviewdelegate.cpp
    editor/charactersviewdelegate.h
    editor/courseeditor.cpp
    editor/courseeditor.h
    editor/keyboardlayoutcombobox.cpp
    editor/keyboardlayoutcombobox.h
    editor/keyboardlayouteditor.cpp
    editor/keyboardlayouteditor.h
    editor/keyboardlayouteditorview.cpp
    editor/keyboardlayouteditorview.h
    editor/keyboardlayoutpropertieswidget.cpp
    editor/keyboardlayoutpropertieswidget.h
    editor/lessontexteditor.cpp
    editor/lessontexteditor.h
    editor/lessontexthighlighter.cpp
    editor/lessontexthighlighter.h
    editor/newcoursewidget.cpp
    editor/newcoursewidget.h
    editor/newkeyboardlayoutwidget.cpp
    editor/newkeyboardlayoutwidget.h
    editor/newresourceassistant.cpp
    editor/newresourceassistant.h
    editor/resourceeditor.cpp
    editor/resourceeditor.h
    editor/resourceeditorwidget.cpp
    editor/resourceeditorwidget.h
    editor/resourcetemplatewidget.cpp
    editor/resourcetemplatewidget.h
    editor/resourcetypeswidget.cpp
    editor/resourcetypeswidget.h
    ktouchcontext.cpp
    ktouchcontext.h
    main.cpp
    mainwindow.cpp
    mainwindow.h
    models/categorizedresourcesortfilterproxymodel.cpp
    models/categorizedresourcesortfilterproxymodel.h
    models/charactersmodel.cpp
    models/charactersmodel.h
    models/errorsmodel.cpp
    models/errorsmodel.h
    models/learningprogressmodel.cpp
    models/learningprogressmodel.h
    models/lessonmodel.cpp
    models/lessonmodel.h
    models/resourcemodel.cpp
    models/resourcemodel.h
    trainingconfigwidget.cpp
    trainingconfigwidget.h
    undocommands/coursecommands.cpp
    undocommands/coursecommands.h
    undocommands/keyboardlayoutcommands.cpp
    undocommands/keyboardlayoutcommands.h)

qt_add_resources(ktouch_imgs_SRCS images/images.qrc)

if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
    qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
else ()
    qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
endif()

# compile UI files
ki18n_wrap_ui(ktouch_SRCS
    ui/colorsconfigwidget.ui
    ui/trainingconfigwidget.ui
    ui/resourceeditorwidget.ui
    ui/resourcetypeswidget.ui
    ui/newcoursewidget.ui
    ui/newkeyboardlayoutwidget.ui
    ui/resourcetemplatewidget.ui
    ui/courseeditor.ui
    ui/lessontexteditor.ui
    ui/keyboardlayouteditor.ui
    ui/keyboardlayoutpropertieswidget.ui
    ui/customlessoneditordialog.ui
)

if (KTOUCH_BUILD_WITH_X11)
    add_definitions(-DKTOUCH_BUILD_WITH_X11)
    include_directories(${X11_Xkb_INCLUDE_PATH})
    include_directories(${X11_Xkbfile_INCLUDE_PATH})
    set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp x11_helper.h)
    set(ktouch_X11_DEPS Qt::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
endif ()

kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-ktouch.png")
ecm_add_app_icon(ktouch_SRCS ICONS ${ICONS_SRCS})

add_executable(ktouch ${ktouch_SRCS} ${ktouch_imgs_SRCS} ${ktouch_qml_SRCS})

#uncomment this if oxygen icons for ktouch are available
target_link_libraries(ktouch
    LINK_PUBLIC
        Qt::Qml
        Qt::Quick
        Qt::QuickWidgets
        Qt::QuickControls2
        Qt::Sql
        Qt::XmlPatterns
        KF5::Completion
        KF5::ConfigWidgets
        KF5::ItemViews
        KF5::XmlGui
        KF5::I18n
        KF5::KCMUtils
        KF5::TextWidgets
        KF5::WindowSystem
        KF5::CoreAddons
        KF5::IconThemes
        ${ktouch_X11_DEPS}
)

#kde4_add_app_icon(ktouch_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/ktouch.png")
#kde4_add_app_icon(ktouch_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-ktouch.png")

install(TARGETS ktouch ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ktouch.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
ktouch (4:25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Merge multiple upstream keys into a single one.

  [ Benxi Yang ]
  * Replace old FSF postal address with new hyperlink.
  * Update uploader information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 01:00:14 +0200

ktouch (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Drop unnecessary Qt6 build dependencies.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+           Benxi Yang <ybx332@gmail.com>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -21,11 +22,11 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libqt5xmlpatterns5-dev,
+               libqt5xmlpatterns5-dev (>= 5.15.2~),
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts (>= 4:24.12.3~),
+               qml-module-org-kde-charts,
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,
@@ -35,26 +36,19 @@
                qml-module-qtquick2,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev,
-Standards-Version: 4.7.0
-Homepage: https://apps.kde.org/en/ktouch
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+               qtquickcontrols2-5-dev (>= 5.15.2~),
+Standards-Version: 4.7.2
+Homepage: https://edu.kde.org/ktouch/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}),
          libqt5sql5-sqlite,
-         qml-module-org-kde-charts,
-         qml-module-org-kde-kcoreaddons,
-         qml-module-org-kde-kquickcontrolsaddons,
-         qml-module-qtgraphicaleffects,
-         qml-module-qtquick2,
-         qml-module-qtquick-controls2,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick-window2,
          ${misc:Depends},
+         ${qml5:Depends},
          ${shlibs:Depends},
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It

## ktouch 25.04.3

=== debian/changelog ===
ktouch (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:52:44 +0100

ktouch (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:56:49 +0100

ktouch (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:15:00 +0100

ktouch (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ktouch
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Benxi Yang <ybx332@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf5,
-               dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.91.0~),
                libkf5completion-dev (>= 5.91.0~),
                libkf5config-dev (>= 5.91.0~),
@@ -22,11 +21,11 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libqt5xmlpatterns5-dev (>= 5.15.2~),
+               libqt5xmlpatterns5-dev,
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkgconf,
-               qml-module-org-kde-charts,
+               qml-module-org-kde-charts (>= 4:25.04.3~),
                qml-module-org-kde-kcoreaddons,
                qml-module-org-kde-kquickcontrolsaddons,
                qml-module-qtgraphicaleffects,
@@ -36,19 +35,26 @@
                qml-module-qtquick2,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.7.2
-Homepage: https://edu.kde.org/ktouch/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
+               qtquickcontrols2-5-dev,
+Standards-Version: 4.7.0
+Homepage: https://apps.kde.org/en/ktouch
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Rules-Requires-Root: no
 
 Package: ktouch
 Architecture: any
 Depends: ktouch-data (>= ${source:Version}),
          libqt5sql5-sqlite,
+         qml-module-org-kde-charts,
+         qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
          ${misc:Depends},
-         ${qml5:Depends},
          ${shlibs:Depends},
 Description: touch typing tutor for KDE
  KTouch is an aid for learning how to type with speed and accuracy.  It

## ktouch 25.08.0

=== CMakeLists.txt ===
# KTouch CMakeLists.txt file
#
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")


cmake_minimum_required(VERSION 3.16)
project(ktouch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.0.0")
set (KDE_COMPILERSETTINGS_LEVEL "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF6DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickWidgets
    QuickControls2
    Sql
    Widgets
    Xml
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    ItemViews
    KCMUtils
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

# Needs https://invent.kde.org/libraries/kqtquickcharts/-/merge_requests/10
# to actually work with 6.0.0.
find_package(KQtQuickCharts)
#find_package(KQtQuickCharts 6.0.0) # aka >= 25.07.80
set_package_properties(KQtQuickCharts PROPERTIES
    DESCRIPTION "QtQuick plugin to render beautiful and interactive charts"
    URL "https://commits.kde.org/kqtquickcharts"
    TYPE RUNTIME
)

find_package(LibXml2 REQUIRED)

option(WITHOUT_X11 "Build without X11 Keyboard Layout Detection (skips finding X11)" OFF)

if (NOT WITHOUT_X11)
    find_package(X11)
    find_package(XCB OPTIONAL_COMPONENTS XCB XKB)
    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL 6.9.0)
        find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS GuiPrivate)
    else()
        set(Qt6GuiPrivate_FOUND TRUE)
    endif()

    if (Qt6GuiPrivate_FOUND AND X11_FOUND AND X11_Xkbfile_FOUND AND X11_Xkb_FOUND AND XCB_FOUND AND XCB_XKB_FOUND)
        set(KTOUCH_BUILD_WITH_X11 TRUE)
    endif()

    add_feature_info ("Keyboard Layout Detection" KTOUCH_BUILD_WITH_X11 "needs Qt6GuiPrivate, libX11, libxkb, libxkbfile, libxcb, and libxcb-xkb")
endif()

# enable QML debugging for debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.101.0)

# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(doc)
ecm_optional_add_subdirectory(src)
# ecm_optional_add_subdirectory(sounds)
ecm_optional_add_subdirectory(icons)

# files to install in the ktouch project root directory
ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
endif()
install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktouch (4:25.08.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable (LP: #2120926). Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Aug 2025 11:24:09 +0100

ktouch (4:25.08.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * Add missing build dependency on libxml2-dev.

  [ Benxi Yang ]
  * New upstream release.
  * Switch build from Qt5 to Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 18 Aug 2025 23:33:26 +0200

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Benxi Yang <ybx332@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libqt6xml6 (>= 6.6.0~),
               libqt6quickcontrols2-6 (>= 6.6.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               libxml2-dev,
               pkgconf,
               qml6-module-org-kde-charts,
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtquick-effects,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-window,
               qml6-module-qtquick,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/ktouch/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 25.08.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -131,12 +131,7 @@
     undocommands/keyboardlayoutcommands.h)
 
 qt_add_resources(ktouch_imgs_SRCS images/images.qrc)
-
-if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
-    qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
-else ()
-    qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
-endif()
+qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
 
 # compile UI files
 ki18n_wrap_ui(ktouch_SRCS
@@ -159,7 +154,7 @@
     include_directories(${X11_Xkb_INCLUDE_PATH})
     include_directories(${X11_Xkbfile_INCLUDE_PATH})
     set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp x11_helper.h)
-    set(ktouch_X11_DEPS Qt::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
+    set(ktouch_X11_DEPS Qt::GuiPrivate ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
 endif ()
 
 kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)
@@ -177,17 +172,16 @@
         Qt::QuickWidgets
         Qt::QuickControls2
         Qt::Sql
-        Qt::XmlPatterns
-        KF5::Completion
-        KF5::ConfigWidgets
-        KF5::ItemViews
-        KF5::XmlGui
-        KF5::I18n
-        KF5::KCMUtils
-        KF5::TextWidgets
-        KF5::WindowSystem
-        KF5::CoreAddons
-        KF5::IconThemes
+        KF6::Completion
+        KF6::ConfigWidgets
+        KF6::ItemViews
+        KF6::XmlGui
+        KF6::I18n
+        KF6::KCMUtils
+        KF6::TextWidgets
+        KF6::WindowSystem
+        KF6::CoreAddons
+        LibXml2::LibXml2
         ${ktouch_X11_DEPS}
 )

=== src/schemata/CMakeLists.txt ===
FILE(GLOB schemata *.xsd)
install( FILES ${schemata} DESTINATION ${KDE_INSTALL_DATADIR}/ktouch/schemata )

=== debian/changelog ===
ktouch (4:25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:13:52 +0100

ktouch (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:57:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Benxi Yang <ybx332@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
@@ -23,21 +23,21 @@
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
+               libqt6quickcontrols2-6 (>= 6.6.0~),
                libqt6xml6 (>= 6.6.0~),
-               libqt6quickcontrols2-6 (>= 6.6.0~),
                libxcb-xkb-dev,
                libxkbfile-dev,
                libxml2-dev,
                pkgconf,
-               qml6-module-org-kde-charts,
+               qml6-module-org-kde-charts (>= 4:25.08.1~),
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qt5compat-graphicaleffects,
+               qml6-module-qtquick,
+               qml6-module-qtquick-controls,
                qml6-module-qtquick-effects,
-               qml6-module-qtquick-controls,
                qml6-module-qtquick-layouts,
                qml6-module-qtquick-window,
-               qml6-module-qtquick,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.6.0~),

## ktouch 25.08.1+p24.04+vstable+git20250917.0040

=== debian/changelog ===
ktouch (4:25.08.1+p24.04+vstable+git20250917.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 00:40:40 +0000

ktouch (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:57:06 +0000

ktouch (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:24:57 +0000

ktouch (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:49:22 +0000

ktouch (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:55:47 +0000

ktouch (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:39:32 +0000

ktouch (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:52:00 +0000

ktouch (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:19:23 +0000

ktouch (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:53:37 +0000

ktouch (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:44:54 +0000

ktouch (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:40:29 +0000

ktouch (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:56:30 +0000

ktouch (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:27:37 +0000

ktouch (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:59:01 +0000

ktouch (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:54:08 +0000

ktouch (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:32:08 +0000

ktouch (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:57:22 +0000

ktouch (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:40:25 +0000

ktouch (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:30:47 +0000

ktouch (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:10:19 +0000

ktouch (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 07:56:03 +0000

ktouch (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:44:03 +0000

ktouch (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:28:34 +0000

ktouch (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:14:10 +0000

ktouch (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:10:28 +0000

ktouch (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:49:30 +0000

ktouch (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:12:47 +0000

ktouch (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:41:27 +0000

ktouch (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:18:10 +0000

ktouch (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:53:44 +0000

ktouch (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:00:46 +0000

ktouch (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:21:57 +0000

ktouch (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:14:51 +0000

ktouch (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:21:31 +0000

ktouch (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:06:25 +0000

ktouch (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:31:04 +0000

ktouch (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:26:36 +0000

ktouch (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:37:17 +0000

ktouch (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:06:38 +0000

ktouch (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:58:53 +0000

ktouch (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:17:52 +0000

ktouch (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:33:59 +0000

ktouch (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:22 +0000

ktouch (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:24 +0000

ktouch (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:59:31 +0000

ktouch (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:22:59 +0000

ktouch (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:50 +0000



## ktouch 25.08.1+p24.04+vstable+git20251001.0530

=== debian/changelog ===
ktouch (4:25.08.1+p24.04+vstable+git20251001.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:30:19 +0000

## ktouch 25.08.1+p24.04+vunstable+git20251001.0808

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
@@ -46,7 +46,6 @@
     Config
     ConfigWidgets
     CoreAddons
-    DocTools
     I18n
     ItemViews
     KCMUtils
@@ -93,7 +92,6 @@
 
 # subdirectories to build
 ecm_optional_add_subdirectory(data)
-ecm_optional_add_subdirectory(doc)
 ecm_optional_add_subdirectory(src)
 # ecm_optional_add_subdirectory(sounds)
 ecm_optional_add_subdirectory(icons)
@@ -101,6 +99,7 @@
 # files to install in the ktouch project root directory
 ki18n_install(po)
 if (KF6DocTools_FOUND)
+    ecm_optional_add_subdirectory(doc)
     kdoctools_install(po)
 endif()
 install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

=== debian/changelog ===
ktouch (4:25.08.1+p24.04+vunstable+git20251001.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 08:08:11 +0000
